
local MakePlayerCharacter = require "prefabs/player_common"

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/reptar.zip" ),
}
local prefabs = {}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wilson"

	-- a minimap icon must be specified
	--inst.MiniMapEntity:SetIcon( "wilson.png" )
	inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("reptaricon.tex")

	-- todo: Add an example special power here.
	inst.components.sanity:SetMax(150)
    inst.components.hunger:SetMax(120)
	inst.components.health.maxhealth = 150
	inst.components.combat.damagemultiplier = 2.5
    inst.components.combat.min_attack_period = 0.5
    inst.components.combat.playerdamagepercent = 0.8
    inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.1)
    inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.1)
    inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 2.8)
    
    inst.components.sanity.night_drain_mult = 0.8
    inst.components.sanity.neg_aura_mult = 0.8
    inst.components.temperature.hurtrate = 0.5

    inst.components.eater.stale_hunger = 1
    inst.components.eater.stale_health = 1
    inst.components.eater.monsterimmune = true

    --inst.components.health:StartRegen(1, 5)
	
end

return MakePlayerCharacter("reptar", prefabs, assets, fn)
